Summary:	A tool for creating scanners (text pattern recognizers)
Name:		flex
Version:	2.5.37
Release:	%mkrel 2
License:	BSD
Group:		Development/Other
URL: 		http://flex.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/flex/%{name}-%{version}.tar.bz2
Patch0:		flex-2.5.4a-skel.patch
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	indent
BuildRequires:	texinfo-tex
Requires:	m4
Conflicts:	flex-reentrant

%description
The flex program generates scanners. Scanners are
programs which can recognize lexical patterns in text.

Flex takes pairs of regular expressions and C code as input and
generates a C source file as output. The output file is compiled and
linked with a library to produce an executable.

The executable searches through its input for occurrences of the
regular expressions. When a match is found, it executes the
corresponding C code.

Flex was designed to work with both Yacc and Bison, and is used by
many programs as part of their build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q
%patch0 -p0

# Force regeneration of skel.c with Patch2 changes
rm -f skel.c

%build
autoreconf -fi
export CFLAGS="-fPIC %{optflags}"
%configure2_5x \
	--disable-rpath
%make

%check
#(tpg) these tests used features removed in bison-2.6
sed -i -e '/test-bison-yylloc/d' -e '/test-bison-yylval/d' tests/Makefile.in

make check

%install
%makeinstall_std

%find_lang %{name}

pushd %{buildroot}
ln -sf flex .%{_bindir}/lex
ln -s flex.1 .%{_mandir}/man1/lex.1
ln -s flex.1 .%{_mandir}/man1/flex++.1
popd

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/libfl*.a
%{_includedir}/FlexLexer.h
%{_infodir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.5.37-2.mga3
+ Revision: 350520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 luigiwalser <luigiwalser> 2.5.37-1.mga3
+ Revision: 284053
- build fixes from mdv

  + fwang <fwang>
    - br pdf generator
    - br autopoint
    - new version 2.5.37

* Sun Jun 10 2012 blino <blino> 2.5.35-8.mga3
+ Revision: 259448
- rebuild to get info pages as xz instead of lzma

  + supp <supp>
    - imported package flex

* Sat Jan 08 2011 blino <blino> 2.5.35-7.mga1
+ Revision: 421
- imported package flex

